Name:          liblensfun
Version:       0.3.95
Release:       2mamba
Summary:       A library to rectify the defects introduced by your photographic equipment
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://lensfun.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/lensfun/%{version}/lensfun-%{version}.tar.gz
Patch0:        liblensfun-0.2.6-pkgconfig.patch
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
License:       LGPL
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The goal of the lensfun library is to provide a open source database of photographic lenses and their characteristics.
The lensfun library not only provides a way to read the database and search for specific things in it, but also provides a set of algorithms for correcting images based on detailed knowledge of lens properties.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The goal of the lensfun library is to provide a open source database of photographic lenses and their characteristics.
The lensfun library not only provides a way to read the database and search for specific things in it, but also provides a set of algorithms for correcting images based on detailed knowledge of lens properties.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Databases
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%package -n python-lensfun
Group:         System/Libraries/Python
Summary:       Pythno bindings for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      python3

%description -n python-lensfun
This package contains the python binding for %{name}.

%prep
%setup -q -n lensfun-%{version}

%build
%cmake -d build \
\
%ifarch arm
   -DBUILD_FOR_SSE=OFF \
   -DBUILD_FOR_SSE2=OFF
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liblensfun.so.*
%dir %{_datadir}/lensfun
%{_datadir}/lensfun/*
%doc docs/gpl-3.0.txt

%files devel
%defattr(-,root,root)
%dir %{_includedir}/lensfun
%{_includedir}/lensfun/lensfun.h
%{_libdir}/liblensfun.so
%{_libdir}/pkgconfig/lensfun.pc

%files -n python-lensfun
%defattr(-,root,root)
%{python3_sitelib}/lensfun-%{version}-py*.egg-info
%{python3_sitelib}/lensfun/*

%files tools
%defattr(-,root,root)
%{_bindir}/g-lensfun-update-data
%{_bindir}/lensfun-add-adapter
%{_bindir}/lensfun-update-data
%{_bindir}/lensfun-convert-lcp

%changelog
* Mon Feb 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.95-2mamba
- liblensfun: require lliblensfun-tools

* Sun Feb 02 2020 Automatic Build System <autodist@mambasoft.it> 0.3.95-1mamba
- automatic version update by autodist

* Tue Feb 16 2016 Automatic Build System <autodist@mambasoft.it> 0.3.2-1mamba
- automatic version update by autodist

* Wed Aug 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- update to 0.3.1

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Fri Dec 06 2013 Automatic Build System <autodist@mambasoft.it> 0.2.8-1mamba
- automatic version update by autodist

* Fri Apr 19 2013 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Tue Feb 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-2mamba
- patched to add pkgconfig support (required by rawstudio)

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 0.2.6-1mamba
- automatic version update by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 0.2.5-1mamba
- automatic update by autodist

* Fri Oct 16 2009 Automatic Build System <autodist@mambasoft.it> 0.2.4-1mamba
- automatic update by autodist

* Fri Mar 20 2009 Davide Madrisan <davide.madrisan@gmail.com> 0.2.3-1mamba
- package created by autospec
